using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using UnityEngine.SceneManagement;

public class UIController : MonoBehaviour
{
    GameObject timeObject;
    GameObject moneyObject;
    float time0 = 60.0f;
    float time;
    int money0 = 0;
    int money;
    static float restTime;
    static int totalMoney;

    // Start is called before the first frame update
    void Start()
    {
        this.timeObject = GameObject.FindWithTag("timeui");
        this.moneyObject = GameObject.FindWithTag("moneyui");
        this.time = this.time0;
        this.money = this.money0;
    }

    // Update is called once per frame
    void Update()
    {
        this.time -= Time.deltaTime;
        if (this.time <= 0.0f)
        {
            //Debug.Log("Game Over");
            SceneManager.LoadScene("OverScene");
        }
        this.timeObject.GetComponent<Text>().text = "残り時間：" + (int)this.time;
        this.moneyObject.GetComponent<Text>().text = "金貨：" + this.money;
    }

    public void GetMoney(int howMuch)
    {
        this.money += howMuch;
    }

    public void ClearSetup()
    {
        restTime = this.time;
        totalMoney = this.money;
    }

    public static float GetRestTime()
    {
        return restTime;
    }

    public static int GetTotalMoney()
    {
        return totalMoney;
    }
}
