using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class EnemyGenerator : MonoBehaviour
{
    public GameObject enemyPrefab;
    public int enemyNum = 5;

    // Start is called before the first frame update
    void Start()
    {
        for (int i = 1; i < this.enemyNum; i++)
        {
            GameObject enemyObject = Instantiate(this.enemyPrefab) as GameObject;
            float positionX, positionZ;
            positionX = Random.Range(-20.0f, 20.0f);
            positionZ = Random.Range(-20.0f, 20.0f);
            enemyObject.transform.position = new Vector3(positionX, 10.0f, positionZ);
            enemyObject.tag = "enemy" + i.ToString("00");
        }
    }

    // Update is called once per frame
    void Update()
    {

    }

    public int GetEnemyNumber()
    {
        return this.enemyNum;
    }
}
