using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class TorpedoGenerator : MonoBehaviour
{
    public GameObject torpedoPrefab;
    float span = 1.0f;
    float delta = 0;
    float fasttime = 40;
    float fastspan = 0.7f;
    float alltime = 0;

    // Start is called before the first frame update
    void Start()
    {
        
    }

    // Update is called once per frame
    void Update()
    {
        this.delta += Time.deltaTime;
        this.alltime += Time.deltaTime;
        if (this.alltime > this.fasttime)
        {
            this.span = this.fastspan;
        }
        if (this.delta > this.span)
        {
            this.delta = 0;
            GameObject torpedoObject = Instantiate(torpedoPrefab) as GameObject;
            float y = Random.Range(-4.7f, 4.7f);
            torpedoObject.transform.position = new Vector3(-7.2f, y, 0);
        }
    }
}
