using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class RPGLikeController : MonoBehaviour
{
    public readonly float SPEED = 0.1f;
    private Rigidbody2D rigidBody;
    private Vector2 input;

    void Start()
    {
        this.rigidBody = GetComponent<Rigidbody2D>();
    }

    private void Update()
    {
        input = new Vector2(
            Input.GetAxis("Horizontal"),
            Input.GetAxis("Vertical"));
    }

    private void FixedUpdate()
    {
        if (input == Vector2.zero)
        {
            return;
        }
        this.rigidBody.position += input * SPEED;
    }
}