using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CameraController : MonoBehaviour
{
    GameObject unitychanObject;
    float cameraBackward = 3.0f;
    float cameraHeight = 1.0f;

    // Start is called before the first frame update
    void Start()
    {
        this.unitychanObject = GameObject.FindWithTag("unitychan");
    }

    // Update is called once per frame
    void Update()
    {
        Vector3 cameraPosition;
        cameraPosition = this.unitychanObject.transform.position -
            this.unitychanObject.transform.forward * this.cameraBackward +
            this.unitychanObject.transform.up * this.cameraHeight;
        gameObject.transform.position = cameraPosition;
    }
}
